Package uk.ac.starlink.vo

## Interface UwsJobInfo.Result

- Enclosing interface:
    UwsJobInfo

      public static interface UwsJobInfo.Result

  Represents a result associated with a UWS job.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getHref​()` | Returns the optional xlink:href attribute for this result.
    `java.lang.String` | `getId​()` | Returns this result's ID (name).
    `java.lang.String` | `getType​()` | Returns the optional xlink:type attribute for this result.
    `java.lang.String` | `getValue​()` | Returns this result's value.

- - ### Method Detail

    - #### getId

          java.lang.String getId​()

      Returns this result's ID (name).
      Returns:
        name

    - #### getValue

          java.lang.String getValue​()

      Returns this result's value.
      Returns:
        value

    - #### getHref

          java.lang.String getHref​()

      Returns the optional xlink:href attribute for this result.
      Returns:
        link reference

    - #### getType

          java.lang.String getType​()

      Returns the optional xlink:type attribute for this result.
      Returns:
        link type

Copyright © 2018 Central Laboratory of the Research Councils. All Rights Reserved.